/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import java.math.BigInteger;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.MGV_ALL_TABLES")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "MgvAllTables.findAll", query = "SELECT m FROM MgvAllTables m"),
    @NamedQuery(name = "MgvAllTables.findByProjectId", query = "SELECT m FROM MgvAllTables m WHERE m.projectId = :projectId"),
    @NamedQuery(name = "MgvAllTables.findByProjectName", query = "SELECT m FROM MgvAllTables m WHERE m.projectName = :projectName"),
    @NamedQuery(name = "MgvAllTables.findByConnectionId", query = "SELECT m FROM MgvAllTables m WHERE m.connectionId = :connectionId"),
    @NamedQuery(name = "MgvAllTables.findByHost", query = "SELECT m FROM MgvAllTables m WHERE m.host = :host"),
    @NamedQuery(name = "MgvAllTables.findByPort", query = "SELECT m FROM MgvAllTables m WHERE m.port = :port"),
    @NamedQuery(name = "MgvAllTables.findByUsername", query = "SELECT m FROM MgvAllTables m WHERE m.username = :username"),
    @NamedQuery(name = "MgvAllTables.findByDburl", query = "SELECT m FROM MgvAllTables m WHERE m.dburl = :dburl"),
    @NamedQuery(name = "MgvAllTables.findByCatalogId", query = "SELECT m FROM MgvAllTables m WHERE m.catalogId = :catalogId"),
    @NamedQuery(name = "MgvAllTables.findByCatalogName", query = "SELECT m FROM MgvAllTables m WHERE m.catalogName = :catalogName"),
    @NamedQuery(name = "MgvAllTables.findBySchemaId", query = "SELECT m FROM MgvAllTables m WHERE m.schemaId = :schemaId"),
    @NamedQuery(name = "MgvAllTables.findBySchemaName", query = "SELECT m FROM MgvAllTables m WHERE m.schemaName = :schemaName"),
    @NamedQuery(name = "MgvAllTables.findByTableId", query = "SELECT m FROM MgvAllTables m WHERE m.tableId = :tableId"),
    @NamedQuery(name = "MgvAllTables.findByTableName", query = "SELECT m FROM MgvAllTables m WHERE m.tableName = :tableName")})
public class MgvAllTables implements Serializable {

    private static final long serialVersionUID = 1L;
    @Basic(optional = false)
    @Column(name = "PROJECT_ID")
    private BigInteger projectId;
    @Basic(optional = false)
    @Column(name = "PROJECT_NAME")
    private String projectName;
    @Basic(optional = false)
    @Column(name = "CONNECTION_ID")
    private BigInteger connectionId;
    @Column(name = "HOST")
    private String host;
    @Column(name = "PORT")
    private BigInteger port;
    @Column(name = "USERNAME")
    private String username;
    @Column(name = "DBURL")
    private String dburl;
    @Basic(optional = false)
    @Column(name = "CATALOG_ID")
    private BigInteger catalogId;
    @Column(name = "CATALOG_NAME")
    private String catalogName;
    @Basic(optional = false)
    @Column(name = "SCHEMA_ID")
    private BigInteger schemaId;
    @Column(name = "SCHEMA_NAME")
    private String schemaName;
    @Basic(optional = false)
    @Column(name = "TABLE_ID")
    private BigInteger tableId;
    @Basic(optional = false)
    @Column(name = "TABLE_NAME")
    private String tableName;

    public MgvAllTables() {
    }

    public BigInteger getProjectId() {
        return projectId;
    }

    public void setProjectId(BigInteger projectId) {
        this.projectId = projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public BigInteger getConnectionId() {
        return connectionId;
    }

    public void setConnectionId(BigInteger connectionId) {
        this.connectionId = connectionId;
    }

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public BigInteger getPort() {
        return port;
    }

    public void setPort(BigInteger port) {
        this.port = port;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getDburl() {
        return dburl;
    }

    public void setDburl(String dburl) {
        this.dburl = dburl;
    }

    public BigInteger getCatalogId() {
        return catalogId;
    }

    public void setCatalogId(BigInteger catalogId) {
        this.catalogId = catalogId;
    }

    public String getCatalogName() {
        return catalogName;
    }

    public void setCatalogName(String catalogName) {
        this.catalogName = catalogName;
    }

    public BigInteger getSchemaId() {
        return schemaId;
    }

    public void setSchemaId(BigInteger schemaId) {
        this.schemaId = schemaId;
    }

    public String getSchemaName() {
        return schemaName;
    }

    public void setSchemaName(String schemaName) {
        this.schemaName = schemaName;
    }

    public BigInteger getTableId() {
        return tableId;
    }

    public void setTableId(BigInteger tableId) {
        this.tableId = tableId;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }
    
}
